Docs Doubao /api/v3/contents/generations/tasks/{id}
API reference

doubao-2.0 query video generation task API

https://www.volcengine.com/docs/82379/1521309?lang=zh

GET/api/v3/contents/generations/tasks/{id}

Responses

200 application/json
response-200 object
properties
content* object

Message or request content

created_at* integer

Creation time

draft* boolean

Whether it is a draft / draft data

duration* integer

Duration (seconds or platform-defined unit)

execution_expires_after* integer

Execution expiration time

framespersecond* integer

Frame rate (FPS)

generate_audio* boolean

Whether to generate audio

id* string

Resource or task ID

model* string

Model name / model ID

ratio* string

Aspect ratio or resolution ratio

resolution* string

Resolution, e.g. 720p, 1080p

seed* integer

Random seed; same seed makes results reproducible

401 Missing or invalid API Key application/json
response-401 object
properties
error* object
Code Sample cURL
1curl -X GET "https://api.digislash.com/api/v3/contents/generations/tasks/{id}" \
2-H "Authorization: Bearer <API Key>"
Response
1▼{
2▼"content": {
3"video_url": "https://ark-acg-cn-beijing.tos-cn-beijing.volces.com/doubao-seedance-2-0/02177831701906400000000000000000000ffffac1778adc6a32f.mp4?X-Tos-Algorithm=TOS4-HMAC-SHA256&X-Tos-Credential=AKLTYWJkZTExNjA1ZDUyNDc3YzhjNTM5OGIyNjBhNDcyOTQ%2F20260509%2Fcn-beijing%2Ftos%2Frequest&X-Tos-Date=20260509T090109Z&X-Tos-Expires=86400&X-Tos-Signature=699d4a345c3573c9b86f2f145db21c00bfd32d7f8d1fe0bbe499ce54d92a0af5&X-Tos-SignedHeaders=host"
4},
5"created_at": 1778317019,
6"draft": false,
7"duration": 10,
8"execution_expires_after": 172800,
9"framespersecond": 24,
10"generate_audio": true,
11"id": "cgt-20260509165650-6rxbv",
12"model": "doubao-seedance-2-0-260128",
13"ratio": "1:1",
14"resolution": "720p",
15"seed": 70882,
16"service_tier": "default",
17"status": "succeeded",
18"updated_at": 1778317294,
19▼"usage": {
20"completion_tokens": 216900,
21"total_tokens": 216900
22}
23}